Overview | Modules | Class Hierarchy | Classes | Members

# tlp::WithParameter Struct Reference
[Plugins]

`#include <WithParameter.h>`

Inherited by tlp::Algorithm, tlp::ExportModule, tlp::ImportModule, and tlp::PropertyAlgorithm.

Inheritance diagram for tlp::WithParameter:

[legend]
Collaboration diagram for tlp::WithParameter:

[legend]
List of all members.

## Public Member Functions

- StructDef getParameters ()
- template<typename Ty> void addParameter (const char *str, const char *inHelp=0, const char *inDefValue=0, bool isMandatory=true)

## Protected Attributes

- StructDef parameters

## Member Function Documentation

template<typename Ty>
void tlp::WithParameter::addParameter | ( | const char * | str,
|  | const char * | inHelp = `0`,
|  | const char * | inDefValue = `0`,
|  | bool | isMandatory = `true`
| ) | `[inline]`

StructDef tlp::WithParameter::getParameters | ( |  | ) |

## Member Data Documentation

StructDef tlp::WithParameter::parameters `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010